<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8">
    <style>
      body {
          margin: 0;
          font-family: Arial, Helvetica, sans-serif;
        }
      .styled-table {
            border-collapse: collapse;
            margin: 15px 0;
            font-size: 0.9em;
            font-family: sans-serif;
            min-width: 400px;
            box-shadow: 0 0 20px rgba(0, 0, 0, 0.15);
        }
        .styled-table thead tr {
            background-color: #0da2FF;
            color: #ffffff;
            text-align: center;
        }
        .styled-table th,
        .styled-table td {
            padding: 17px 15px;
        }
        .styled-table tbody tr {
            border-bottom: thin solid #dddddd;
        }

        .styled-table tbody tr:nth-of-type(even) {
            background-color: #f3f3f3;
        }

        .styled-table tbody tr:last-of-type {
            border-bottom: 2px solid #0da2FF;
        }
        .center {
          height: 200px;
          width: 400px;

          position: fixed;
          top: 50%;
          left: 50%;
          margin-top: -100px;
          margin-left: -200px;
        }
        body {
          margin: 0;
          font-family: Arial, Helvetica, sans-serif;
        }

        .topnav {
          overflow: hidden;
          background-color: #333;
        }

        .topnav a {
          float: left;
          display: block;
          color: #f2f2f2;
          text-align: center;
          padding: 17px 16px;
          text-decoration: none;
          font-size: 17px;
        }

        .topnav a:hover {
          background-color: #ddd;
          color: black;
        }

        .topnav a.active {
          background-color:#0da2FF;
          color: white;
        }

    </style>
  </head>
  <body>
    <div class="topnav" >
        <a href="index" class="active">Note Table</a>
        <a href="add_note">Add Note</a>
        <a href="note_list">Note List</a>
        </a>
    </div>
    <div class="center">
      <h1 style="text-align: center; margin: 0; " >Note Table</h1>
      <table class="styled-table">
        <thead>
          <tr>
            <th>To</th>
            <th>From</th>
            <th>Title</th>
            <th>Message</th>
          </tr>
        </thead>
        {% for note in notes %}
      <tr >
        <td> {{ note.To }} </td>
        <td> {{ note.From }} </td>
        <td> {{ note.Title }} </td>
        <td> {{ note.Message }} </td>
      </tr>
      {% endfor %}
      </table>
    </div>
  </body>
</html>
